BasicBSONCallback
Date: 2015-03-03

org.bson

## Class BasicBSONCallback

- java.lang.Object
- - org.bson.BasicBSONCallback

- All Implemented Interfaces:
    BSONCallback

      public class BasicBSONCallback
      extends java.lang.Object
      implements BSONCallback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicBSONCallback()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `arrayDone()`
    `void` | `arrayStart()`
    `void` | `arrayStart(java.lang.String name)`
    `BSONObject` | `create()`
    `BSONObject` | `create(boolean array, java.util.List<java.lang.String> path)`
    `BSONCallback` | `createBSONCallback()`
    `java.lang.Object` | `get()`
    `void` | `gotBinary(java.lang.String name, byte type, byte[] data)`
    `void` | `gotBinaryArray(java.lang.String name, byte[] data)` Deprecated.
    `void` | `gotBoolean(java.lang.String name, boolean v)`
    `void` | `gotCode(java.lang.String name, java.lang.String code)`
    `void` | `gotCodeWScope(java.lang.String name, java.lang.String code, java.lang.Object scope)`
    `void` | `gotDate(java.lang.String name, long millis)`
    `void` | `gotDBRef(java.lang.String name, java.lang.String ns, ObjectId id)`
    `void` | `gotDouble(java.lang.String name, double v)`
    `void` | `gotInt(java.lang.String name, int v)`
    `void` | `gotLong(java.lang.String name, long v)`
    `void` | `gotMaxKey(java.lang.String name)`
    `void` | `gotMinKey(java.lang.String name)`
    `void` | `gotNull(java.lang.String name)`
    `void` | `gotObjectId(java.lang.String name, ObjectId id)`
    `void` | `gotRegex(java.lang.String name, java.lang.String pattern, java.lang.String flags)`
    `void` | `gotString(java.lang.String name, java.lang.String v)`
    `void` | `gotSymbol(java.lang.String name, java.lang.String v)`
    `void` | `gotTimestamp(java.lang.String name, int time, int inc)`
    `void` | `gotUndefined(java.lang.String name)`
    `void` | `gotUUID(java.lang.String name, long part1, long part2)` subtype 3
    `java.lang.Object` | `objectDone()`
    `void` | `objectStart()`
    `void` | `objectStart(boolean array)`
    `void` | `objectStart(boolean array, java.lang.String name)`
    `void` | `objectStart(java.lang.String name)`
    `void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicBSONCallback

          public BasicBSONCallback()

  - ### Method Detail

    - #### create

          public BSONObject create()

    - #### createBSONCallback

          public BSONCallback createBSONCallback()

      Specified by:
        `createBSONCallback` in interface `BSONCallback`

    - #### create

          public BSONObject create(boolean array,
                          java.util.List<java.lang.String> path)

    - #### objectStart

          public void objectStart()

      Specified by:
        `objectStart` in interface `BSONCallback`

    - #### objectStart

          public void objectStart(boolean array)

      Specified by:
        `objectStart` in interface `BSONCallback`

    - #### objectStart

          public void objectStart(java.lang.String name)

      Specified by:
        `objectStart` in interface `BSONCallback`

    - #### objectStart

          public void objectStart(boolean array,
                         java.lang.String name)

    - #### objectDone

          public java.lang.Object objectDone()

      Specified by:
        `objectDone` in interface `BSONCallback`

    - #### arrayStart

          public void arrayStart()

      Specified by:
        `arrayStart` in interface `BSONCallback`

    - #### arrayStart

          public void arrayStart(java.lang.String name)

      Specified by:
        `arrayStart` in interface `BSONCallback`

    - #### arrayDone

          public java.lang.Object arrayDone()

      Specified by:
        `arrayDone` in interface `BSONCallback`

    - #### gotNull

          public void gotNull(java.lang.String name)

      Specified by:
        `gotNull` in interface `BSONCallback`

    - #### gotUndefined

          public void gotUndefined(java.lang.String name)

      Specified by:
        `gotUndefined` in interface `BSONCallback`

    - #### gotMinKey

          public void gotMinKey(java.lang.String name)

      Specified by:
        `gotMinKey` in interface `BSONCallback`

    - #### gotMaxKey

          public void gotMaxKey(java.lang.String name)

      Specified by:
        `gotMaxKey` in interface `BSONCallback`

    - #### gotBoolean

          public void gotBoolean(java.lang.String name,
                        boolean v)

      Specified by:
        `gotBoolean` in interface `BSONCallback`

    - #### gotDouble

          public void gotDouble(java.lang.String name,
                       double v)

      Specified by:
        `gotDouble` in interface `BSONCallback`

    - #### gotInt

          public void gotInt(java.lang.String name,
                    int v)

      Specified by:
        `gotInt` in interface `BSONCallback`

    - #### gotLong

          public void gotLong(java.lang.String name,
                     long v)

      Specified by:
        `gotLong` in interface `BSONCallback`

    - #### gotDate

          public void gotDate(java.lang.String name,
                     long millis)

      Specified by:
        `gotDate` in interface `BSONCallback`

    - #### gotRegex

          public void gotRegex(java.lang.String name,
                      java.lang.String pattern,
                      java.lang.String flags)

      Specified by:
        `gotRegex` in interface `BSONCallback`

    - #### gotString

          public void gotString(java.lang.String name,
                       java.lang.String v)

      Specified by:
        `gotString` in interface `BSONCallback`

    - #### gotSymbol

          public void gotSymbol(java.lang.String name,
                       java.lang.String v)

      Specified by:
        `gotSymbol` in interface `BSONCallback`

    - #### gotTimestamp

          public void gotTimestamp(java.lang.String name,
                          int time,
                          int inc)

      Specified by:
        `gotTimestamp` in interface `BSONCallback`

    - #### gotObjectId

          public void gotObjectId(java.lang.String name,
                         ObjectId id)

      Specified by:
        `gotObjectId` in interface `BSONCallback`

    - #### gotDBRef

          public void gotDBRef(java.lang.String name,
                      java.lang.String ns,
                      ObjectId id)

      Specified by:
        `gotDBRef` in interface `BSONCallback`

    - #### gotBinaryArray

          @Deprecated
          public void gotBinaryArray(java.lang.String name,
                                       byte[] data)

      Deprecated.
      Specified by:
        `gotBinaryArray` in interface `BSONCallback`

    - #### gotBinary

          public void gotBinary(java.lang.String name,
                       byte type,
                       byte[] data)

      Specified by:
        `gotBinary` in interface `BSONCallback`

    - #### gotUUID

          public void gotUUID(java.lang.String name,
                     long part1,
                     long part2)

      Description copied from interface: `BSONCallback`
      subtype 3
      Specified by:
        `gotUUID` in interface `BSONCallback`

    - #### gotCode

          public void gotCode(java.lang.String name,
                     java.lang.String code)

      Specified by:
        `gotCode` in interface `BSONCallback`

    - #### gotCodeWScope

          public void gotCodeWScope(java.lang.String name,
                           java.lang.String code,
                           java.lang.Object scope)

      Specified by:
        `gotCodeWScope` in interface `BSONCallback`

    - #### get

          public java.lang.Object get()

      Specified by:
        `get` in interface `BSONCallback`

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `BSONCallback`